<!DOCTYPE html>
<html>

<head>
    <meta charset="UTF-8">
    <script src="jquery-3.2.1.js">
    </script>
    <script>
        $(document).ready(function () {
            $("#pizza").submit(function (e) {
                var custname = $("input[name='custname']").val();
                var custtel = $("input[name='custtel']").val();
                var custemail = $("input[name='custemail']").val();
                var pizzasize = $('input[name=size]:checked').val();
                var topping = $("input[name='topping']").val();
                var delivery = $("input[name='delivery']").val();
                var comments = $("input[name='comments']").val();

                data = {
                    custname,
                    custtel,
                    custemail,
                    pizzasize,
                    topping,
                    delivery,
                    comments
                }
                e.preventDefault();

                var actionurl = 'https://httpbin.org/post';

                    $.ajax({
                        url: actionurl,
                        type: 'post',
                        dataType: 'json',
                        success: function (data) {
                            $("#pp1").html("Size : " + pizzasize + ", delivery time: " + delivery);
                        }

                    });
            });
        });
    </script>
    </head>

<body>
    <form method="post" action="https://httpbin.org/post/" id="pizza">
    <p><label>Customer name: <input name="custname"></label></p>
    <p><label>Telephone: <input type=tel name="custtel"></label></p>
    <p><label>E-mail address: <input  type=email name="custemail"></label></p>
    <fieldset>
        <legend> Pizza Size </legend>
        <p><label> <input type=radio name=size value="small"> Small </label></p>
        <p><label> <input type=radio name=size value="medium"> Medium </label></p>
        <p><label> <input type=radio name=size value="large"> Large </label></p>
    </fieldset>
    <fieldset>
        <legend> Pizza Toppings </legend>
        <p><label> <input type=checkbox name="topping" value="bacon"> Bacon </label></p>
        <p><label> <input type=checkbox name="topping" value="cheese"> Extra Cheese </label></p>
        <p><label> <input type=checkbox name="topping" value="onion"> Onion </label></p>
        <p><label> <input type=checkbox name="topping" value="mushroom"> Mushroom </label></p>
    </fieldset>
    <p><label>Preferred delivery time: <input type=time min="11:00" max="21:00" step="900" name="delivery"></label></p>
    <p><label>Delivery instructions: <textarea name="comments"></textarea></label></p>
    <p><button>Submit order</button></p>
</form>
<div>
    <p id="pp1"></p>
</div>
</body>
</html>
